/**
 * Trida reprezentuje vektor poruch a k nemu prislusny pocet jednicek,
 * cili kolik poruch vektor detekuje - nazvano fitness.
 */
package entity;

import java.util.Comparator;

public class VektorAFitness implements Comparator<VektorAFitness>{
    private String vektor;
    private int detekPoruch;

    public VektorAFitness() {
    }

    public VektorAFitness(String vektor, int detekPoruch) {
        this.vektor = vektor;
        this.detekPoruch = detekPoruch;
    }

    public int getDetekPoruch() {
        return detekPoruch;
    }

    public void setDetekPoruch(int detekPoruch) {
        this.detekPoruch = detekPoruch;
    }

    public String getVektor() {
        return vektor;
    }

    public void setVektor(String vektor) {
        this.vektor = vektor;
    }
   
    @Override
    public int compare(VektorAFitness vektorAFitnessA, VektorAFitness vektorAFitnessB) {
        return vektorAFitnessB.getDetekPoruch() - vektorAFitnessA.getDetekPoruch();
    }

    @Override
    public String toString() {
        return this.getVektor() + " " + this.getDetekPoruch();
    }

    public int getDelka() {
        return vektor.length();
    }
    
}
